/* @(#) all.h 98/01/26 1.2 */

#ifndef _all_h
#define _all_h

extern void *CustomFunctionTable[];



/***************************************************************
** Include all files nneded for PForth
**
** Author: Phil Burk
** Copyright 1994 3DO, Phil Burk, Larry Polansky, Devid Rosenboom
**
** The pForth software code is dedicated to the public domain,
** and any third party may reproduce, distribute and modify
** the pForth software code or any derivative works thereof
** without any compensation or license.  The pForth software
** code is provided on an "as is" basis without any warranty
** of any kind, including, without limitation, the implied
** warranties of merchantability and fitness for a particular
** purpose and their equivalents under the laws of any jurisdiction.
**
** 940521 PLB Creation.
**
***************************************************************/

/* I don't see any way to pass compiler flags to the Mac Code Warrior compiler! */
#ifdef __MWERKS__
	#define PF_USER_INC1     "mac.h"
	#define PF_SUPPORT_FP    (1)
#endif


#ifdef WIN32
	#define PF_USER_INC2     "win32.h"
#endif


#if defined(PF_USER_INC1)
	#include PF_USER_INC1
#else
/* Default to UNIX if no host speciied. */
	#include "unix.h"
#endif

#include "types.h"
#include "io.h"
#include "guts.h"
#include "text.h"
#include "pfcompil.h"
#include "clib.h"
#include "words.h"
#include "save.h"
#include "mem.h"
#include "cglue.h"
#include "core.h"

#ifdef PF_USER_INC2
/* This could be used to undef and redefine macros. */
	#include PF_USER_INC2
#endif

#endif /* _all_h */

